// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from hri_msgs:msg/LiveSpeech.idl
// generated code does not contain a copyright notice

#ifndef HRI_MSGS__MSG__DETAIL__LIVE_SPEECH__STRUCT_H_
#define HRI_MSGS__MSG__DETAIL__LIVE_SPEECH__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'incremental'
// Member 'final'
// Member 'language'
#include "rosidl_runtime_c/string.h"

/// Struct defined in msg/LiveSpeech in the package hri_msgs.
/**
  * This message encodes the live result of a speech recognition process.
  * A series of incremental results might be provided, until a final recognition
  * hypothesis is returned.
 */
typedef struct hri_msgs__msg__LiveSpeech
{
  std_msgs__msg__Header header;
  /// incremental recognition results
  rosidl_runtime_c__String incremental;
  /// final recognised text
  rosidl_runtime_c__String final;
  /// confidence of the final recognised speech,
  double confidence;
  /// IETF language code, e.g. 'en-GB'
  rosidl_runtime_c__String language;
} hri_msgs__msg__LiveSpeech;

// Struct for a sequence of hri_msgs__msg__LiveSpeech.
typedef struct hri_msgs__msg__LiveSpeech__Sequence
{
  hri_msgs__msg__LiveSpeech * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} hri_msgs__msg__LiveSpeech__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // HRI_MSGS__MSG__DETAIL__LIVE_SPEECH__STRUCT_H_
